JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes | Typedefs
ARAHostModel Namespace Reference
juce_audio_processors » format_types

## Classes
class | AudioModification
| Helper class for the host side implementation of the ARA AudioModification model object. More...
class | AudioSource
| Helper class for the host side implementation of the ARA AudioSource model object. More...
struct | ConversionFunctions
| Allows converting, without warnings, between pointers of two unrelated types. More...
struct | DeletionListener
| This class is used internally by PlaybackRegionRegistry to be notified when a PlaybackRegion object is deleted. More...
class | ManagedARAHandle
| This class is used by the various ARA model object helper classes, such as MusicalContext, AudioSource etc. More...
class | MusicalContext
| Helper class for the host side implementation of the ARA MusicalContext model object. More...
struct | PlaybackRegion
| Helper class for the host side implementation of the ARA PlaybackRegion model object. More...
class | PlaybackRegionRegistry
| Base class used by the PlaybackRendererInterface and EditorRendererInterface plugin extension interfaces. More...
class | PlugInExtensionInstance
| Wrapper class for `ARA::ARAPlugInExtensionInstance*`. More...
class | RegionSequence
| Helper class for the host side implementation of the ARA RegionSequence model object. More...

## Typedefs
using | PlaybackRendererInterface = PlaybackRegionRegistry<ARA::ARAPlaybackRendererRef, ARA::ARAPlaybackRendererInterface>
| Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.
using | EditorRendererInterface = PlaybackRegionRegistry<ARA::ARAEditorRendererRef, ARA::ARAEditorRendererInterface>
| Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.

## Typedef Documentation

## ◆ PlaybackRendererInterface

using ARAHostModel::PlaybackRendererInterface = PlaybackRegionRegistry<ARA::ARAPlaybackRendererRef, ARA::ARAPlaybackRendererInterface>

Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.

You can read more about its usage at PlaybackRegionRegistry.

See also
  PlaybackRegion, PlaybackRegionRegistry

## ◆ EditorRendererInterface

using ARAHostModel::EditorRendererInterface = PlaybackRegionRegistry<ARA::ARAEditorRendererRef, ARA::ARAEditorRendererInterface>

Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.

You can read more about its usage at PlaybackRegionRegistry.

See also
  PlaybackRegion, PlaybackRegionRegistry